import sqlite3

npc_db = sqlite3.connect("../npc_db")
cur = npc_db.cursor()

data = {
    "aarakocra":    ["welcoming expression", "mean look", "scowl", "sly smile"],
    "aasimar":      ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile",
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],
    "bugbear":      ["welcoming expression", "mean look", "scowl", "sly smile", "chin-beard"],
    "dragonborn":   ["welcoming expression", "mean look", "scowl", "sly smile"],
    "drow":         ["welcoming expression", "mean look", "scowl", "sly smile"],
    "dwarf":        ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile", 
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],
    "elf":          ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile", 
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],
    "firlbolg":     ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile", 
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],  
    "genasi":       ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile",
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],
    "gith":         ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile",
                    "goatee",
                    "fu manchu"],
    "goblin":       ["welcoming expression", "mean look", "scowl", "sly smile"],
    "goliath":      ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile", 
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],
    "gnome":        ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile",
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],
    "half-elf":     ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile", 
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],  
    "halfling":     ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile",
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],  
    "half-orc":     ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile",
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],
    "hobgoblin":    ["sly smile", "hairless face", "sideburns", "full beard"],   
    "human":        ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile",
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],
    "kenku":        ["none"],
    "kobold":       ["none"],
    "lizardfolk":   ["none"],
    "orc":          ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile",
                    "sideburns",
                    "full beard"],
    "tabaxi":       ["none"],
    "tiefling":     ["welcoming expression",
                    "mean look",
                    "scowl",
                    "sly smile",
                    "long wiry beard", 
                    "long braided beard", 
                    "short clean beard", 
                    "long unkempt beard", 
                    "five o'clock shadow", 
                    "braided and decorated midlength beard", 
                    "braided midlength beard", 
                    "long braided and decorated beard", 
                    "short patchy beard", 
                    "goatee", 
                    "mustache", 
                    "sideburns"],  
    "tortle":       ["none"],
    "triton":       ["none"]
}

for race in data:
    for facial_hair in data[race]:
        cur.execute("INSERT INTO npc_facial_hair (race, facial_hair) VALUES (?, ?);", (race, facial_hair))
        npc_db.commit()